## vectoroids 1.1.0

=== Makefile ===
# makefile for Vectoroids

# (Based on Agendaroids)

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/vectoroids/

# November 30, 2001 - April 13, 2002


PREFIX=/usr/local
MAN_PREFIX=$(PREFIX)
BIN_PREFIX=$(PREFIX)/bin
DATA_PREFIX=$(PREFIX)/share/vectoroids/
JOY=YES
TARGET_DEF=LINUX
SDL_LIB=$(shell sdl-config --libs) $(MIXER) -lSDL_image

NOSOUNDFLAG=__SOUND
MIXER=-lSDL_mixer

CFLAGS=-Wall -Wno-long-long -pedantic -ansi -O2 \
	$(shell sdl-config --cflags) -D$(NOSOUNDFLAG) \
	-DDATA_PREFIX=\"$(DATA_PREFIX)\" -DJOY_$(JOY) -D$(TARGET_DEF)


all:	vectoroids

embedded:
	make vectoroids TARGET_DEF=EMBEDDED MIXER= JOY=NO \
		DATA_PREFIX=/opt/QtPalmtop/share/vectoroids/ \
		SDL_LIB="/usr/local/arm/lib/libSDL_mixer.a /usr/local/arm/lib/libSDL.a -L/usr/local/arm/lib/ -lpthread -L/opt/Qtopia/sharp/lib -lqpe -lqte" \
		CC=/usr/local/arm/bin/arm-linux-gcc
	/usr/local/arm/bin/arm-linux-strip vectoroids


emtest:
	make vectoroids TARGET_DEF=EMBEDDED

nosound:
	make vectoroids MIXER= NOSOUNDFLAG=NOSOUND

install:
	install -d $(DATA_PREFIX)
	cp -R data/* $(DATA_PREFIX)
	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
	cp vectoroids $(BIN_PREFIX)
	chmod a+rx,g-w,o-w $(BIN_PREFIX)/vectoroids
	install -d $(MAN_PREFIX)/man/man6/
	cp vectoroids.6 $(MAN_PREFIX)/man/man6/
	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man/man6/vectoroids.6


clean:
	-rm vectoroids
	-rm *.o


vectoroids:	vectoroids.o
	$(CC) $(CFLAGS) vectoroids.o -o vectoroids $(SDL_LIB)


vectoroids.o:	vectoroids.c

=== debian/changelog ===
vectoroids (1.1.0-13) unstable; urgency=low

  * use LDFLAGS in Makefile for hardening

 -- Christian T. Steigies <cts@debian.org>  Sun, 26 Oct 2014 21:51:55 +0100

vectoroids (1.1.0-12) unstable; urgency=low

  * updated Standards-Version to 3.9.6 (no changes)
  * enable hardening with debhelper 9

 -- Christian T. Steigies <cts@debian.org>  Thu, 23 Oct 2014 22:44:37 +0200

vectoroids (1.1.0-11) unstable; urgency=low

  * repackage with debhelper 8
  * Switch to dpkg-source 3.0 (quilt) format
  * updated Standards-Version to 3.9.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Wed, 26 Oct 2011 21:49:21 +0200

vectoroids (1.1.0-10) unstable; urgency=low

  * do not call obsolete dh_desktop
  * add ${misc:Depends} to binary package's debian/control entry
  * updated Standards-Version to 3.8.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Tue, 06 Oct 2009 22:20:54 +0200

vectoroids (1.1.0-9) unstable; urgency=low

  * install a desktop file (closes: #478946)

 -- Christian T. Steigies <cts@debian.org>  Sun, 15 Jun 2008 18:21:21 +0200

vectoroids (1.1.0-8) unstable; urgency=low

  * updated Standards-Version to 3.7.3, use section Games/Action according
    to the menu policy
  * do not ignore make clean error
  * use debian/compat and use compat version 5
  * call dh_desktop

 -- Christian T. Steigies <cts@debian.org>  Fri, 21 Mar 2008 23:55:24 +0100

vectoroids (1.1.0-7) unstable; urgency=low

  * include .desktop file from Cliff Cunnington (closes: #405806)
  * updated Standards-Version to 3.7.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sat,  6 Jan 2007 18:32:27 +0100

vectoroids (1.1.0-6) unstable; urgency=low

  * updated watch file
  * updated Standards-Version to 3.7.0 (no changes)
  * use current debhelper

 -- Christian T. Steigies <cts@debian.org>  Thu,  4 May 2006 06:51:04 +0000

vectoroids (1.1.0-5) unstable; urgency=low

  * use TARGET in rules
  * dh_compat=4
  * install menu icon to /usr/share/pixmaps
  * updated Standards-Version to 3.6.1.0 (no changes)
  * copyright is with the author

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 16:28:58 +0100

vectoroids (1.1.0-4) unstable; urgency=low

  * updated debian/watch file for new location of upstream source

 -- Christian T. Steigies <cts@debian.org>  Fri, 31 Oct 2003 09:36:48 -0500

vectoroids (1.1.0-3) unstable; urgency=low

  * remove .xvpics directory in clean target

 -- Christian T. Steigies <cts@debian.org>  Fri,  1 Aug 2003 20:23:24 -0400

vectoroids (1.1.0-2) unstable; urgency=low

  * apply patch from Steve Kemp to fix buffer overflow (closes: #203255)

 -- Christian T. Steigies <cts@debian.org>  Mon, 28 Jul 2003 23:51:15 -0400

vectoroids (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Christian T. Steigies <cts@debian.org>  Mon,  4 Nov 2002 09:54:18 -0500

vectoroids (1.0.9-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu, 30 May 2002 00:03:09 -0400

vectoroids (1.0.8-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Sun, 14 Apr 2002 18:34:38 -0400

vectoroids (1.0.7-2) unstable; urgency=low

  * improve description (closes: #129138)
  * versioned Build-Depends for SDL libraries

 -- Christian T. Steigies <cts@debian.org>  Mon, 14 Jan 2002 23:13:42 -0500

vectoroids (1.0.7-1) unstable; urgency=low

  * New upstream version
  * Real initial upload (closes: #127557).

 -- Christian T. Steigies <cts@debian.org>  Thu,  3 Jan 2002 21:18:48 -0500

vectoroids (1.0.6-1) unstable; urgency=low

  * New upstream version
  * Initial upload.

 -- Christian T. Steigies <cts@debian.org>  Wed,  2 Jan 2002 19:58:09 -0500

vectoroids (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Wed,  5 Dec 2001 23:01:48 -0500

=== debian/control ===
Source: vectoroids
Section: games
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Build-Depends: debhelper (>= 9),
               libsdl-image1.2-dev (>=1.2.1-1.1),
               libsdl-mixer1.2-dev (>=1.2.1-2.2),
               libsdl1.2-dev (>=1.2.2-3.3)
Standards-Version: 3.9.6

Package: vectoroids
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: vector-based rock-shooting
 "Vectoroids" is a vector-based rock-shooting game similar to the
 arcade classic "Asteroids."
 Pilot a spaceship and destroy asteroids by shooting them into smaller and
 smaller pieces while trying to avoid being smashed or shot by UFOs.
 .
 "Vectoroids" is an SDL game based on the source for
 "Agendaroids," an X-Window game written for the Agenda VR3 Linux-based PDA
 written by the same author.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean

	-rm -rf data/images/.xvpics

override_dh_auto_build:
	make -j1 DATA_PREFIX=/usr/share/games/vectoroids/

override_dh_auto_install:
	make install \
          DESTDIR=/debian/vectoroids \
          BIN_PREFIX=debian/vectoroids/usr/games \
          MAN_PREFIX=debian/vectoroids/usr/share \
          DATA_PREFIX=debian/vectoroids/usr/share/games/vectoroids

	install -D -m 644 debian/vectoroids-icon.xpm debian/vectoroids/usr/share/pixmaps/
	install -D -m 644 debian/vectoroids.desktop debian/vectoroids/usr/share/applications/

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Site		Directory		Pattern			Version	Script
#ftp://ftp.sonic.net/pub/users/nbs/unix/x/vectoroids/src/vectoroids-([\d\.]+)\.tar\.gz debian uupdate

ftp://ftp.billsgames.com/unix/x/vectoroids/src/vectoroids-([\d\.]+)\.tar\.gz debian uupdate

## vectoroids 1.1.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # bill@newbreedsoftware.com
 # http://www.newbreedsoftware.com/vectoroids/
 
-# November 30, 2001 - April 13, 2002
+# November 30, 2001 - January 25, 2025
 
 
 PREFIX=/usr/local
@@ -15,13 +15,13 @@
 DATA_PREFIX=$(PREFIX)/share/vectoroids/
 JOY=YES
 TARGET_DEF=LINUX
-SDL_LIB=$(shell sdl-config --libs) $(MIXER) -lSDL_image
+SDL_LIB=$(shell sdl2-config --libs) $(MIXER) -lSDL2_image
 
 NOSOUNDFLAG=__SOUND
-MIXER=-lSDL_mixer
+MIXER=-lSDL2_mixer
 
-CFLAGS=-Wall -Wno-long-long -pedantic -ansi -O2 \
-	$(shell sdl-config --cflags) -D$(NOSOUNDFLAG) \
+CFLAGS=-Wall -Wno-long-long -pedantic -std=c99 -O2 \
+	$(shell sdl2-config --cflags) -D$(NOSOUNDFLAG) \
 	-DDATA_PREFIX=\"$(DATA_PREFIX)\" -DJOY_$(JOY) -D$(TARGET_DEF)

=== debian/changelog ===
vectoroids (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Switch to SDL2 (Closes: #546670, #1038584)
  * Update Makefile patch
  * Update watch file to upstream github repo

 -- Christian T. Steigies <cts@debian.org>  Sun, 02 Mar 2025 19:22:48 +0100

vectoroids (1.1.1-1) UNRELEASED; urgency=medium

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Sun, 02 Mar 2025 18:15:20 +0100

vectoroids (1.1.0-16) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.

  [ Christian T. Steigies ]
  * updated Standards-Version to 4.6.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sat, 14 Jan 2023 17:43:40 +0100

vectoroids (1.1.0-15) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #918032)

  [ Christian T. Steigies ]
  * update watch file
  * updated Standards-Version to 4.3.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Thu, 21 Feb 2019 23:51:43 +0100

vectoroids (1.1.0-14) unstable; urgency=medium

  * switch to debhelper 11
  * add spelling patch
  * updated Standards-Version to 4.2.1: remove menu file
  * updated desktop file
  * add homepage and Vcs entries to control
  * removed unneeded versioned depends from control
  * enable all hardening options

 -- Christian T. Steigies <cts@debian.org>  Fri, 07 Sep 2018 21:00:44 +0200

=== debian/control ===
Source: vectoroids
Maintainer: Christian T. Steigies <cts@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/vectoroids
Vcs-Git: https://salsa.debian.org/debian/vectoroids.git
Homepage: http://www.newbreedsoftware.com/vectoroids/

Package: vectoroids
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: vector-based rock-shooting
 "Vectoroids" is a vector-based rock-shooting game similar to the
 arcade classic "Asteroids."
 Pilot a spaceship and destroy asteroids by shooting them into smaller and
 smaller pieces while trying to avoid being smashed or shot by UFOs.
 .
 "Vectoroids" is an SDL game based on the source for
 "Agendaroids," an X-Window game written for the Agenda VR3 Linux-based PDA
 written by the same author.

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/billkendrick/vectoroids.git refs/tags/vectoroids-v([\d\.]+)
